create_clock -period 10.000 -name clk -waveform {0.000 5.000} [get_ports dclk_in]

set_property CFGBVS VCCO [current_design]

set_property CONFIG_VOLTAGE 2.5 [current_design]

set_property IOSTANDARD LVCMOS33 [get_ports {channel_out[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {channel_out[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {channel_out[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {channel_out[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {channel_out[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {daddr_in[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {daddr_in[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {daddr_in[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {daddr_in[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {daddr_in[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {daddr_in[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {daddr_in[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[15]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[14]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {di_in[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[15]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[14]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[13]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[12]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[11]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[10]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[9]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[8]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {do_out[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports busy_out]
set_property IOSTANDARD LVCMOS33 [get_ports dclk_in]
set_property IOSTANDARD LVCMOS33 [get_ports den_in]
set_property IOSTANDARD LVCMOS33 [get_ports drdy_out]
set_property IOSTANDARD LVCMOS33 [get_ports dwe_in]
set_property IOSTANDARD LVCMOS33 [get_ports eoc_out]
set_property IOSTANDARD LVCMOS33 [get_ports eos_out]
set_property IOSTANDARD LVCMOS33 [get_ports ot_out]
set_property IOSTANDARD LVCMOS33 [get_ports reset_in]
set_property IOSTANDARD LVCMOS33 [get_ports user_temp_alarm_out]
set_property IOSTANDARD LVCMOS33 [get_ports vccaux_alarm_out]
set_property IOSTANDARD LVCMOS33 [get_ports vccint_alarm_out]
set_property IOSTANDARD LVCMOS33 [get_ports alarm_out]
set_property PACKAGE_PIN P20 [get_ports vccaux_alarm_out]
set_property PACKAGE_PIN N20 [get_ports vccint_alarm_out]
set_property PACKAGE_PIN T20 [get_ports user_temp_alarm_out]
set_property PACKAGE_PIN R19 [get_ports reset_in]
set_property PACKAGE_PIN U20 [get_ports ot_out]
set_property PACKAGE_PIN V20 [get_ports eos_out]
set_property PACKAGE_PIN W20 [get_ports eoc_out]
set_property PACKAGE_PIN T11 [get_ports dwe_in]
set_property PACKAGE_PIN Y18 [get_ports drdy_out]
set_property PACKAGE_PIN T10 [get_ports den_in]
set_property PACKAGE_PIN T12 [get_ports dclk_in]
set_property PACKAGE_PIN Y19 [get_ports busy_out]
set_property PACKAGE_PIN V16 [get_ports alarm_out]
set_property PACKAGE_PIN W16 [get_ports {channel_out[4]}]
set_property PACKAGE_PIN R16 [get_ports {channel_out[3]}]
set_property PACKAGE_PIN T17 [get_ports {channel_out[1]}]
set_property PACKAGE_PIN R17 [get_ports {channel_out[2]}]
set_property PACKAGE_PIN R18 [get_ports {channel_out[0]}]
set_property PACKAGE_PIN U12 [get_ports {daddr_in[6]}]
set_property PACKAGE_PIN U13 [get_ports {daddr_in[5]}]
set_property PACKAGE_PIN V13 [get_ports {daddr_in[4]}]
set_property PACKAGE_PIN V12 [get_ports {daddr_in[3]}]
set_property PACKAGE_PIN T15 [get_ports {daddr_in[0]}]
set_property PACKAGE_PIN T14 [get_ports {daddr_in[1]}]
set_property PACKAGE_PIN W13 [get_ports {daddr_in[2]}]
set_property PACKAGE_PIN P14 [get_ports {di_in[15]}]
set_property PACKAGE_PIN R14 [get_ports {di_in[14]}]
set_property PACKAGE_PIN Y16 [get_ports {di_in[13]}]
set_property PACKAGE_PIN Y17 [get_ports {di_in[12]}]
set_property PACKAGE_PIN W14 [get_ports {di_in[11]}]
set_property PACKAGE_PIN Y14 [get_ports {di_in[10]}]
set_property PACKAGE_PIN T16 [get_ports {di_in[9]}]
set_property PACKAGE_PIN U17 [get_ports {di_in[8]}]
set_property PACKAGE_PIN V15 [get_ports {di_in[7]}]
set_property PACKAGE_PIN W15 [get_ports {di_in[6]}]
set_property PACKAGE_PIN U14 [get_ports {di_in[5]}]
set_property PACKAGE_PIN U15 [get_ports {di_in[4]}]
set_property PACKAGE_PIN U18 [get_ports {di_in[3]}]
set_property PACKAGE_PIN U19 [get_ports {di_in[2]}]
set_property PACKAGE_PIN N18 [get_ports {di_in[1]}]
set_property PACKAGE_PIN P19 [get_ports {di_in[0]}]
set_property PACKAGE_PIN V17 [get_ports {do_out[15]}]
set_property PACKAGE_PIN V18 [get_ports {do_out[14]}]
set_property PACKAGE_PIN W18 [get_ports {do_out[13]}]
set_property PACKAGE_PIN W19 [get_ports {do_out[12]}]
set_property PACKAGE_PIN N17 [get_ports {do_out[11]}]
set_property PACKAGE_PIN P18 [get_ports {do_out[10]}]
set_property PACKAGE_PIN P15 [get_ports {do_out[9]}]
set_property PACKAGE_PIN T19 [get_ports {do_out[7]}]
set_property PACKAGE_PIN J15 [get_ports {do_out[0]}]
set_property PACKAGE_PIN M14 [get_ports {do_out[4]}]
set_property PACKAGE_PIN L15 [get_ports {do_out[5]}]
set_property PACKAGE_PIN L14 [get_ports {do_out[6]}]
set_property PACKAGE_PIN P16 [get_ports {do_out[8]}]
set_property PACKAGE_PIN M15 [get_ports {do_out[3]}]
set_property PACKAGE_PIN K16 [get_ports {do_out[2]}]
set_property PACKAGE_PIN J16 [get_ports {do_out[1]}]
set_property PACKAGE_PIN C20 [get_ports vauxp0]
set_property IOSTANDARD LVCMOS33 [get_ports vauxn0]
set_property IOSTANDARD LVCMOS33 [get_ports vauxn1]
set_property IOSTANDARD LVCMOS33 [get_ports vauxp0]
set_property IOSTANDARD LVCMOS33 [get_ports vauxp1]
set_property IOSTANDARD LVCMOS33 [get_ports vn_in]
set_property IOSTANDARD LVCMOS33 [get_ports vp_in]


