module test (
  input   [6:0]   daddr_in,
  input           dclk_in,
  input           den_in,
  input   [15:0]  di_in,
  input           dwe_in,
  input           reset_in,
  input           vauxp0,
  input           vauxn0,
  input           vauxp1,
  input           vauxn1,
  output          busy_out,
  output  [4:0]   channel_out,
  output  [15:0]  do_out,
  output          drdy_out,
  output          eoc_out,
  output          eos_out,
  output          ot_out,
  output          vccaux_alarm_out,
  output          vccint_alarm_out,
  output          user_temp_alarm_out,
  output          alarm_out,
  input           vp_in,
  input           vn_in
);

// instantiate an XADC

  xadc_wiz_0 xadc_i (
    .daddr_in            (daddr_in),
    .dclk_in             (dclk_in),
    .den_in              (den_in),
    .di_in               (di_in),
    .dwe_in              (dwe_in),
    .reset_in            (reset_in),
    .vauxp0              (vauxp0),
    .vauxn0              (vauxn0),
    .vauxp1              (vauxp1),
    .vauxn1              (vauxn1),
    .busy_out            (busy_out),
    .channel_out         (channel_out),
    .do_out              (do_out),
    .drdy_out            (drdy_out),
    .eoc_out             (eoc_out),
    .eos_out             (eos_out),
    .ot_out              (ot_out),
    .vccaux_alarm_out    (vccaux_alarm_out),
    .vccint_alarm_out    (vccint_alarm_out),
    .user_temp_alarm_out (user_temp_alarm_out),
    .alarm_out           (alarm_out),
    .vp_in               (vp_in),
    .vn_in               (vn_in)
  );

endmodule
